curl --request POST \
--url https://prod01.oms.fabric.inc/api/v2/order/returns \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenant-key: <tenant-key>' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"orderId": "62b37697c67b204dd18a7465",
"returnTimeStamp": "2022-07-11T15:03:14.642Z",
"employeeId": "8a7465",
"source": "CSR",
"items": [
{
"returnType": "RECEIVED",
"orderLineItemId": "<string>",
"shipmentId": "<string>",
"shipmentLineId": "<string>",
"quantity": 1,
"scanTimeStamp": "2022-07-11T15:03:14.642Z",
"reasonCode": "reasonCode",
"subReasonCode": "subReasonCode",
"policyOveride": true,
"returnAmount": 100,
"fees": [
{
"type": "tax",
"value": 34.56,
"quantity": 12,
"refundAmount": 10.4
}
]
}
],
"attributes": "\"attributes\": {\n * \"additionalProp1\": {},\n * \"additionalProp2\": {},\n * \"additionalProp3\": {}\n * }",
"exchange": true
}
'import requests
url = "https://prod01.oms.fabric.inc/api/v2/order/returns"
payload = {
"orderId": "62b37697c67b204dd18a7465",
"returnTimeStamp": "2022-07-11T15:03:14.642Z",
"employeeId": "8a7465",
"source": "CSR",
"items": [
{
"returnType": "RECEIVED",
"orderLineItemId": "<string>",
"shipmentId": "<string>",
"shipmentLineId": "<string>",
"quantity": 1,
"scanTimeStamp": "2022-07-11T15:03:14.642Z",
"reasonCode": "reasonCode",
"subReasonCode": "subReasonCode",
"policyOveride": True,
"returnAmount": 100,
"fees": [
{
"type": "tax",
"value": 34.56,
"quantity": 12,
"refundAmount": 10.4
}
]
}
],
"attributes": "\"attributes\": {
* \"additionalProp1\": {},
* \"additionalProp2\": {},
* \"additionalProp3\": {}
* }",
"exchange": True
}
headers = {
"tenant-key": "<tenant-key>",
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'tenant-key': '<tenant-key>',
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
orderId: '62b37697c67b204dd18a7465',
returnTimeStamp: '2022-07-11T15:03:14.642Z',
employeeId: '8a7465',
source: 'CSR',
items: [
{
returnType: 'RECEIVED',
orderLineItemId: '<string>',
shipmentId: '<string>',
shipmentLineId: '<string>',
quantity: 1,
scanTimeStamp: '2022-07-11T15:03:14.642Z',
reasonCode: 'reasonCode',
subReasonCode: 'subReasonCode',
policyOveride: true,
returnAmount: 100,
fees: [{type: 'tax', value: 34.56, quantity: 12, refundAmount: 10.4}]
}
],
attributes: '"attributes": {\n * "additionalProp1": {},\n * "additionalProp2": {},\n * "additionalProp3": {}\n * }',
exchange: true
})
};
fetch('https://prod01.oms.fabric.inc/api/v2/order/returns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalRefund": 123,
"items": [
{
"returnStatus": "VALID",
"policyCode": "policyCode",
"lineItemId": "32221112",
"returnQuantity": 2,
"refundAmount": 100
}
]
}{
"message": "Bad Request"
}{
"message": "Order Not found"
}{
"message": "Internal Server Error"
}Return order
Returns order
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Body
ReturnOrder Model
"62b37697c67b204dd18a7465"
"2022-07-11T15:03:14.642Z"
"8a7465"
"CSR"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
"\"attributes\": {\n * \"additionalProp1\": {},\n * \"additionalProp2\": {},\n * \"additionalProp3\": {}\n * }"
Was this page helpful?
